<?php

namespace app\common\model;

use think\Model;

/**
 * 平级分销
 */
class TtCode Extends Model
{

    // 开启自动写入时间戳字段
    protected $autoWriteTimestamp = 'int';
    // 定义时间戳字段名
    protected $updateTime = false;
    // 追加属性
    protected $append = [
    ];

    /**
     * 修改邀请码状态
     * @param $user_id
     * @param $parent_id
     * @param $code
     * @return TtCode
     */
    public static function updateCode($user_id,$parent_id,$code)
    {
        return self::where('code',$code)->update(['status'=>1,'user_id'=>$user_id,'parent_id'=>$parent_id]);
    }
}
