<?php

namespace app\common\model;

use think\Model;

/**
 * 平级分销
 */
class TtLevelReward Extends Model
{

    // 开启自动写入时间戳字段
    protected $autoWriteTimestamp = 'int';
    // 定义时间戳字段名
    protected $updateTime = false;
    // 追加属性
    protected $append = [
    ];

    /**
     * 获取平级奖励价格
     * @param $group_id 角色ID
     * @return bool|float|mixed|string|null
     */
    public static function getPrice($group_id)
    {
        return self::where('group_id',$group_id)->value('price');
    }
}
